Compatibility with Elasticsearch


(Igor Cicimov) #1

Hi,

Just wonder if Kibana 6.5 is compatible with Elasticsearch 6.3? Is it expected to work or am I going to hit some issues?

Thanks


(Christian Dahlqvist) #2

If you look at the support matrix you should always run the same versions of Kibana and Elasticsearch.


(Igor Cicimov) #3

Saw that, it also says that Filebeat and Logstash 6.5 are compatible with ES/Kibana 6.3 but after importing the FIlebeat 6.5 template and Dashboards I get errors in Kibana 6.3. For instance I get "Could not locate that index-pattern-field (id: system.syslog.hostname)" for the Syslog Dashboard so not sure if that compatibility matrix can be trusted :wink:


(Christian Dahlqvist) #4

You should generally always run the same version across the stack.